package com.cab.dao;

import java.util.List;

import com.cab.model.CuRelationKey;
import org.apache.ibatis.annotations.Param;

public interface CuRelationMapper {
    int deleteByPrimaryKey(CuRelationKey key);

    int insert(CuRelationKey record);

    int insertSelective(CuRelationKey record);
    
    List<CuRelationKey> selectByUserAndContent(CuRelationKey key);

    Long selectUpCount(@Param("contentId")Long contentId,@Param("type") Integer type);
}